Subject: Re: [PATCH net] netsec: ignore 'phy-mode' device property on ACPI systems

From: Ilias Apalodimas <[email-masked]>
Date: Sun, 18 Oct 2020 23:32:25 +0300

On Sun, Oct 18, 2020 at 07:52:18PM +0200, Andrew Lunn wrote:
> > --- a/Documentation/devicetree/bindings/net/socionext-netsec.txt
> > +++ b/Documentation/devicetree/bindings/net/socionext-netsec.txt
> > @@ -30,7 +30,9 @@ Optional properties: (See ethernet.txt file in the same directory)
> >  - max-frame-size: See ethernet.txt in the same directory.
> >  
> >  The MAC address will be determined using the optional properties
> > -defined in ethernet.txt.
> > +defined in ethernet.txt. The 'phy-mode' property is required, but may
> > +be set to the empty string if the PHY configuration is programmed by
> > +the firmware or set by hardware straps, and needs to be preserved.
> 
> In general, phy-mode is not mandatory. of_get_phy_mode() does the
> right thing if it is not found, it sets &priv->phy_interface to
> PHY_INTERFACE_MODE_NA, but returns -ENODEV. Also, it does not break
> backwards compatibility to convert a mandatory property to
> optional. So you could just do
> 
> 	of_get_phy_mode(pdev->dev.of_node, &priv->phy_interface);
> 
> skip all the error checking, and document it as optional.

Why ?
The patch as is will not affect systems built on any firmware implementations 
that use ACPI and somehow configure the hardware. 
Although the only firmware implementations I am aware of on upsteream are based
on EDK2, I prefer the explicit error as is now, in case a firmware does on 
initialize the PHY properly (and is using a DT).

Cheers
/Ilias

>      Andrew